package paradoxon;

import java.awt.Color;
import java.awt.Graphics;

import org.opensourcephysics.display.Drawable;
import org.opensourcephysics.display.DrawingPanel;

public class AchsenBewegtesIS implements Drawable {

	private double v;

	public void setV(double v) {
		this.v = v;
	}

	@Override
	public void draw(DrawingPanel panel, Graphics g) {
		g.setColor(Color.LIGHT_GRAY);
		for (int i = -300; i <= 300; i++) {
			// x' und Parallelen
			g.drawLine(
					// x-Startpunkt um Nullstelle der 20. Parallele nach links versetzt
					panel.xToPix(20 / Math.sqrt(1 - v * v) * (v - 1 / v)),
					// in y-Richtung in Einheiten des y-Achsenabschnitts der 1. Parallele nach oben
					panel.yToPix(i / Math.sqrt(1 - v * v) * (1 - v * v)),
					// Steigung ist immer v, also um 70 nach rechts
					panel.xToPix(20 / Math.sqrt(1 - v * v) * (v - 1 / v) + 70),
					// und um 50*v nach oben
					panel.yToPix(i / Math.sqrt(1 - v * v) * (1 - v * v) + 70 * v));
			// t' und Parallelen
			// Steigung ist immer 1/v
			g.drawLine(
					// x-Startpunkt um Nullstelle der 20. Parallele nach links versetzt
					panel.xToPix(20 / Math.sqrt(1 - v * v) * (v * v - 1)),
					// in y-Richtung in Einheiten des y-Achsenabschnitts der 1. Parallele nach oben
					panel.yToPix(i / Math.sqrt(1 - v * v) * (v - 1 / v)),
					// Steigung ist immer v, also um 50 nach rechts
					panel.xToPix(20 / Math.sqrt(1 - v * v) * (v * v - 1) + 50),
					// und um 50/v nach oben
					panel.yToPix(i / Math.sqrt(1 - v * v) * (v - 1 / v) + 50 / v));
		}
		g.setColor(Color.BLACK);
		// t'-Achse Teil 1 der Reise
		// y = 1/v * x
		g.drawLine(panel.xToPix(0), panel.yToPix(0), panel.xToPix(30),
				panel.yToPix(30 / v));
		// x'-Achse Teil 1 der Reise
		// y = v * x
		g.drawLine(panel.xToPix(0), panel.yToPix(0), panel.xToPix(30),
				panel.yToPix(30 * v));
	}
}

/*
 * This software is free software; you can redistribute
 * it and/or modify it under the terms of the GNU General 
 * Public License (GPL) as published by the Free Software 
 * Foundation; either version 3 of the License, 
 * or(at your option) any later version.
 *
 * This software is distributed in the hope that it will 
 * be useful, but WITHOUT ANY WARRANTY; 
 * without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE.  
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General 
 * Public License along with this; 
 * if not, see <http://www.gnu.org.licenses>
 */