package paradoxon;

import java.awt.Color;
import java.awt.Font;
import java.awt.Graphics;
import java.text.DecimalFormat;

import org.opensourcephysics.display.Drawable;
import org.opensourcephysics.display.DrawingPanel;

public class TextImPlot implements Drawable {

	private String text;
	private double zahl;
	private double x;
	private double y;
	private Color color;

	public void setZahl(double zahl) {
		this.zahl = zahl;
	}

	public void setY(double y) {
		this.y = y;
	}

	public void setX(double x) {
		this.x = x;
	}

	public TextImPlot(String text, double zahl, double x, double y, Color color) {
		this.text = text;
		this.zahl = zahl;
		this.x = x;
		this.y = y;
		this.color = color;
	}

	@Override
	public void draw(DrawingPanel panel, Graphics g) {
		g.setColor(color);
		g.setFont(new Font("Arial Unicode MS", Font.BOLD, 12));
		DecimalFormat format = new DecimalFormat("0.000");
		g.drawString(text + format.format(zahl), panel.xToPix(x), panel.yToPix(y));
	}

}

/*
 * This software is free software; you can redistribute
 * it and/or modify it under the terms of the GNU General 
 * Public License (GPL) as published by the Free Software 
 * Foundation; either version 3 of the License, 
 * or(at your option) any later version.
 *
 * This software is distributed in the hope that it will 
 * be useful, but WITHOUT ANY WARRANTY; 
 * without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE.  
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General 
 * Public License along with this; 
 * if not, see <http://www.gnu.org.licenses>
 */