package paradoxon;

import java.awt.Color;
import java.awt.Graphics;

import org.opensourcephysics.display.Drawable;
import org.opensourcephysics.display.DrawingPanel;


public class VerloreneZeit implements Drawable {

	private double v;
	private double d;

	public void setV(double v) {
		this.v = v;
	}

	public void setD(double d) {
		this.d = d;
	}

	@Override
	public void draw(DrawingPanel panel, Graphics g) {
		g.setColor(Color.MAGENTA);
		// Zeichnet das Dreieck das die verlorene Zeit darstellt
		// Erste Seite ist parallel zur x'-Achse
		g.drawLine(panel.xToPix(0), panel.yToPix(d * ( 1/v - v)), 
				panel.xToPix(d), panel.yToPix(d / v));
		// Zweite Seite ist parallel zur x''-Achse
		g.drawLine(panel.xToPix(0), panel.yToPix(d * ( 1/v + v)), 
				panel.xToPix(d), panel.yToPix(d / v));
		// Dritte Seite ist entlang der t-Achse
		g.drawLine(panel.xToPix(0), panel.yToPix(d * ( 1/v - v)), 
				panel.xToPix(0), panel.yToPix(d * ( 1/v + v)));
	}
}
